
#ifndef K_QBF_HEADER
#define K_QBF_HEADER

//#define DEBUG_SUBFORMULAS_OUTPUT
#define	KMAXLENGTH	15
#define	MAXVAR	10000
#define KMAXCLAUSE 100000
#define OK 1
#define FAULT 0
#define ON 1
#define OFF 0

typedef unsigned char boolean;
typedef char byte;

int nb_var, nb_clause, _nb_clause, root, nb_eval, mean;

struct cnf {
  boolean status;
  int c[KMAXLENGTH+1];
  struct cnf *next;
};
struct wcl {
  struct cnf *c;
  struct wcl *next;
};

int max_length, min_length, init_max_length;

void ExitSubformula(int);
int mainKCNFS(int);
void print_clause_to_file(int*,FILE*);
boolean _b_leaders, _b_breakfix, cnf2;

#endif
