#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/times.h>
#include <sys/resource.h>

#include "k-qbf.h"
#include "kcnfs.h"

int ssat[KMAXCLAUSE][KMAXLENGTH+1];

struct wcl *_wcl_p[MAXVAR+1], *_wcl_n[MAXVAR+1];
struct cnf *_ssat;
int jump;

byte v_icu[MAXVAR+1], v_icu_l[MAXVAR+MAXVAR+2];


/* ---------------------------------------------------------------- */
int
mainKCNFS (int subformula)
{ int i;
  jump=OFF;
 //**Initializations**/	
  bchs = 0; //Size of Search Tree
  _scr = 0;
  _v_cv = 0, _v_tmp = 0;
  _s_uc = 0;
  _c_cc = 0;
  _s_v = 0;
  _s_c = 0;
  _s_s = 0;
  _s_alpha = 0;
  _s_bf = 0;
  _s_tmp = 0;
  _s_choice = 0;
  _c_fix = 0, prof = 0;	
  fix_depth = 5, _fix_depth = 0, next_depth = 0;
  resolvant = ON;
  _v_binary = 0, _binary = 0;
  c2h3 = 7, c1h3 = 3, c3h1 = 10, c3h2 = 3, c3h3 = MAXVAR;
  fix3 = 53, fix2 = 55, lim_bf = 50;
  leaders = 3, breakfix = 10, filter = 10;
  _s_choice_h0 = 0;
  _s_choice_h2 = 0;
  _s_choice_h3 = 0;
  _s_choice_h4 = 0;
  divide = OFF;
  _divide = 0;
  _b_fix3 = OFF, _b_fix2 = OFF, _b_fix_depth = OFF, _b_filter = OFF, _b_c3h1 = OFF;
  _b_c2h3 = OFF, _b_c1h3 = OFF, _b_lim_bf = OFF, _b_c3h2 = OFF, _b_c3h3 = OFF;
	
	
  boolean b = ON;
  byte s = UNDEF;
//  clock_t Start, Finish;
 // double ReadTime = 0.0, UserTime = 0.0; 
//  struct tms *strtemps;
  struct cnf *_cnf;

//  int i = 1, t,
  int nb_resolvant = 0;

  
//  strtemps = ( struct tms *) malloc( sizeof (struct tms));
  //t = times(strtemps); 
  //Start = strtemps->tms_utime;
//  fprintf (stdout, "\nc Computed by %s   V. %s",argv[0], VERSION);
//  if(MAXLENGTH > LIMITK) printf("\nc %s cannot solve K-SAT formulae with k >= %d", argv[0], LIMITK);

/**  if (argc < 2) {
  OnError:
    fprintf (stdout, "\nc Syntax :: %s <... Args ...>", argv[0]);
    fprintf (stdout, "\nc Args   ::");
    fprintf (stdout, "\nc  <formula>     : 'cnf' file format");
    fprintf (stdout, "\nc  -no-resolvant : unable resolvant computation before resolution");
    fprintf (stdout, "\n\n");
    exit (1);
  }

  
  while(i < argc) {
    if(argv[i][0] == '-') {
      if(!strcmp(argv[i],"-divide")) {
	if(++i >= argc) goto OnError;
	if(!(divide = atoi(argv[i]))) goto OnError;
	if((divide < 1) || (divide > 16)) goto OnError;      
      }
      else if(!strcmp(argv[i],"-prefix-divide")) {
	if(++i >= argc) goto OnError;      
	strcpy(f_divide,argv[i]);
      }
      else if(!strcmp(argv[i],"-fix-depth")) {
	if(++i >= argc) goto OnError;
	if(!(fix_depth = atoi(argv[i]))) goto OnError;
	_b_fix_depth = ON;
      }
      else if(!strcmp(argv[i],"-back-fix")) {
	if(++i >= argc) goto OnError;
	if(!(lim_bf = atoi(argv[i]))) goto OnError;
	_b_lim_bf = ON;	
      }
      else if(!strcmp(argv[i],"-filter")) {
	if(++i >= argc) goto OnError;
	if(!(filter = atoi(argv[i]))) goto OnError;
	_b_filter = ON;
      }
      else if(!strcmp(argv[i],"-limit-fix-tree")) {
	if(++i >= argc) goto OnError;
	if((fix2 = atoi(argv[i])) < 0) goto OnError;
	_b_fix2 = ON;
      }
      else if(!strcmp(argv[i],"-on-next-depth")) {
	if(++i >= argc) goto OnError;
	if(!(fix3 = atoi(argv[i]))) goto OnError;
	_b_fix3 = ON;
      }
      else if(!strcmp(argv[i],"-root")) {
	if(++i >= argc) goto OnError;
	if((root = atoi(argv[i])) < 0) goto OnError;
      }
      else if(!strcmp(argv[i],"-candidates")) {
	if(++i >= argc) goto OnError;
	if((leaders = atoi(argv[i])) < 0) goto OnError;
	_b_leaders = ON;
      }
      else if(!strcmp(argv[i],"-break-fix")) {
	if(++i >= argc) goto OnError;
	if((breakfix = atoi(argv[i])) < 0) goto OnError;
	_b_breakfix = ON;
      }
      else if(!strcmp(argv[i],"-c2-h3")) {
	if(++i >= argc) goto OnError;
	if((c2h3 = atoi(argv[i])) < 0) goto OnError;
	_b_c2h3 = ON;
      }
      else if(!strcmp(argv[i],"-c1-h3")) {
	if(++i >= argc) goto OnError;
	if((c1h3 = atoi(argv[i])) < 0) goto OnError;
	_b_c1h3 = ON;
      }
      else if(!strcmp(argv[i],"-c3-h1")) {
	if(++i >= argc) goto OnError;
	if((c3h1 = atoi(argv[i])) < 0) goto OnError;
	_b_c3h1 = ON;
      }
      else if(!strcmp(argv[i],"-c3-h2")) {
	if(++i >= argc) goto OnError;
	if((c3h2 = atoi(argv[i])) < 0) goto OnError;
	_b_c3h2 = ON;
      }
      else if(!strcmp(argv[i],"-c3-h3")) {
	if(++i >= argc) goto OnError;
	if((c3h3 = atoi(argv[i])) < 0) goto OnError;
	_b_c3h3 = ON;
      }
      else if(!strcmp(argv[i],"-no-resolvant")) resolvant = OFF;
      else {
	fprintf(stdout, "\nc ");
	fprintf(stdout, "\nc '%s' is not a valid parameter",argv[i]);
	fprintf(stdout, "\nc ");
	goto OnError;
      }
    }
    else strcpy(formulae,argv[i]);
    ++i;
  }*/
//  if(!readcnf(formulae)) goto End; //WILL CALL EXITSUBFORMULA FROM walkQBF.c

  values();
  if((max_length > 4) || cnf2) resolvant = OFF;
  if(((float) _nb_clause /(float) nb_var) > 4.7) resolvant = OFF;
  if(max_length > 3) fix_depth = 7;
  if(resolvant) {
    if(!mk_resolvant()) {
      for(nb_resolvant = 0, _cnf = _ssat; _cnf != NULL; _cnf = _cnf->next)
	if(_cnf->status) ++nb_resolvant;
      fprintf(stdout, "\nc found at root !! %d resolvants", nb_clause);
      nb_clause = nb_resolvant;
      jump=ON;
      free_dynamic();
      s = FAULT;
      b = OFF; 
    }
  }
  if(b) {
    built_main_struct();
    if(!up_i()) {
      s = FAULT;
      free_dynamic();
     b = OFF;
    }
    else {
      fix(0);
      free_dynamic();
    }
  }
  for_k();
  /* ---------------- */
//  i = times(strtemps); 
//  Finish = strtemps->tms_utime;
//  ReadTime = (double) (Finish-Start)/(double) CLK_TCK;
  /**if(resolvant) fprintf(stdout, "\nc Subformula : '%d' (adding resolvants)", subformula);
  else fprintf(stdout, "\nc Input file : '%s'", formulae);
  fprintf(stdout, "\nc [%d variables, %d clauses, ratio %.2f, mean occ %d, %d-SAT]", nb_var, _nb_clause, ((float) _nb_clause / (float) nb_var), mean, max_length);*/
//  i = times(strtemps); 
//  Start = strtemps->tms_utime;
  /* --- Debut du Calcul --- */
  if(b) {
    if(divide) {
      if(max_length <= LIMINF) s = is_sat_dl();
      else s = is_sat_dk();
    }
    else {
      if(max_length <= LIMINF) s = is_sat_l();
      else s = is_sat_k();
    }
  }
  /* --- Fin du Calcul   --- */
/* End: */
//  i = times(strtemps); 
//  Finish = strtemps->tms_utime;
//  free(strtemps);
//  UserTime = (double) (Finish-Start)/(double) CLK_TCK;

//	if(jump){
	    for(i = 1; i <= nb_var; i++) {
	    	if(wcl_n[i]!=NULL){
		    	free(wcl_n[i]);
	    	}  	
	    	if(wcl_p[i]!=NULL){
		    	free(wcl_p[i]);
	    	}  	    	
	    }
//	}
	
  switch(s) {
  case SAT: 
    /*fprintf (stdout, "\ns SATISFIABLE");
    for(i = 0; i < _s_v; i++) {
      if(!(i % 5)) printf("\nv");
      printf(" %5d", (v_tf[s_v[i]] ? s_v[i] : -s_v[i]));
    }
    if(!(i % 5)) printf("\nv");
    printf(" %5d", 0);*/
    s = 10;
    break;
  case FAULT:
    /*fprintf (stdout, "\ns UNSATISFIABLE");*/
    s = 20;
    break;
  case UNDEF:
    /*fprintf (stdout, "\ns UNKNOWN (Rejected)");*/
    s = 0;
    break;
  }
  /*if (UserTime) fprintf(stdout, "\nc Computation time    : %.3f seconds", ((double) UserTime));
  else fprintf(stdout, "\nc Computation time not available !!");
  if (ReadTime + UserTime)
    fprintf (stdout, "\nc Execution time      : %.3f seconds", ((double) (ReadTime + UserTime)));
  else
    fprintf (stdout, "\nc Execution time not available !!");
  if(bchs > 1) fprintf(stdout, "\nc Size of search tree : %ld nodes\n\n", bchs);
  else fprintf(stdout, "\nc Size of search tree : %ld node\n\n", bchs);*/
//  exit(s);
	return s;
}
/* ---------------------------------------------------------------- */
boolean 
unrename_to_cnf(s)
     char *s;
{
  int i, j, n = 0;
  FILE *p;

  if((p = fopen (s,"w+")) == NULL) return(FAULT);
  for(i = nb_clause-1; i >= 0; i--) if(!c_status[i]) ++n;
  fprintf(p, "p cnf %d %d\n", nb_var, n);
  for(i = nb_clause-1; i >= 0; i--) {
    if(!c_status[i]) {
      for(j = 0; ssat[i][j]; j++)
	if(!v_status[absolute(ssat[i][j])]) {
	  fprintf(p, " %d",ssat[i][j]);
	}
      fprintf(p, " 0\n");
    }
  }
  fclose(p);
  return(OK);
}

boolean 
to_cnf(s)
     char *s;
{
  int i, j, t, l, v = 0, c = 0, k;
  int __ssat[MAXCLAUSE][MAXLENGTH+1], rename[MAXVAR];
  FILE *p;


  for(i = 1; i <= nb_var; i++) {
    if(!v_status[i]) {
      ++v;
      rename[i] = v + MAXVAR;
    }
    else rename[i] = 0;
  }
  for(i = nb_clause-1; i >= 0; i--)
    if(!c_status[i]) {
      k = 0;
      for(j = 0; (t = ssat[i][j]); j++) {
	l = absolute(t);
	if(rename[l]) {
	  if(t > 0) __ssat[c][k++] = rename[l];
	  else __ssat[c][k++] = -rename[l];
	}
      }
      __ssat[c][k] = EOC;
      ++c;
    }
  for(i = 0; i < c; i++)
    for(j = 0; (t = __ssat[i][j]); j++)
      if(t > 0) __ssat[i][j] -= MAXVAR;
      else __ssat[i][j] += MAXVAR;
  if((p = fopen (s,"w+")) == NULL) return(FAULT);
  fprintf(p, "p cnf %d %d\n",v,c);
  for(i = 0; i < c; i++) {
    for(j = 0; (t = __ssat[i][j]); j++) fprintf(p, " %d",t);
    fprintf(p, " 0\n");
  }
  fclose(p);
  return(OK);
}

void
print_clause(c)
     int *c;
{
  int i; 
  printf("\n");
  for(i = 0; c[i]; i++) printf(" %d",c[i]);
}

void
print_clause_to_file(int *c,FILE* fp)
     
{
  int i; 
  fprintf(fp,"\n");
  for(i = 0; c[i]; i++) fprintf(fp," %d",c[i]);
}

void
print_context (void)
{
  int i;

  printf ("\nc nb_var : %d ; nb_clause : %d", nb_var, nb_clause);
  printf ("\nc choice -> %d ", choice);
  printf ("\nc to sat -> %d ", nb_clause - _s_s);
  printf ("\nc s_c : %d -> ",_s_c);
  for(i = 0; i < _s_c; i++) printf ("%d ",s_c[i]);
  printf ("\nc s_s : %d -> ",_s_s);
  for(i = 0; i < _s_s; i++) printf ("%d ",s_s[i]);
  printf ("\nc s_v : %d -> ",_s_v);
  for(i = 0; i < _s_v; i++)
    if(!v_status[s_v[i]]) printf ("%d(ERROR) ",s_v[i]);
    else {
      if(v_tf[s_v[i]]) printf("%d(+) ",s_v[i]);
      else printf("%d(-) ",s_v[i]);
    }
  printf("\nc max_length : %d -> ", max_length);
  for(i = 2; i <= max_length; i++)  
    printf(" (%d-cl : %.1f)", i, pondere[i]); 
}

void
print_formulae (void)
{
  int i, j, *_cl;

  fprintf (stdout, "\n");
  for (i = 0 ; i < nb_clause ; i++) {
    if(c_status[i]) fprintf (stdout, "\n %d: SAT d   ->",i);
    else {
      switch(c_size[i]) {
      case 0:
	fprintf (stdout, "\n %d: UNS     ->", i);
	break;
      default:
	fprintf (stdout, "\n %d: %d       ->", i, c_size[i]);
	break;
      }
    }
    _cl = ssat[i];
    for (j = *_cl ; j != EOC; j = *(++_cl))
      if (!v_status[absolute(j)])
	fprintf (stdout, " %d", j);
    fprintf(stdout," ");
  }
  fprintf (stdout, " \n");
}

void for_k(void) {
  int t;
  
  switch(max_length) {
  case 4 :
    t = (int) ((0.225 * nb_var) + 42.25);
    if(t < 60) t = 60;
    break;
  case 5 :
    t = (int) ((0.8 * nb_var) + 37);
    if(t < 90) t = 90;
    break;
  case 6 :
    t = (int) ((1.15 * nb_var) + 79.5);
    if(t < 130) t = 130;
    break;
  case 7 :
    t = (int) ((0.2286 * nb_var) + 201.14);
    if(t < 130) t = 130;
    break;
  case 8 :
    t = (int) ((1.1 * nb_var) + 280);
    if(t < 130) t = 130;
    break;
  case 9 :
    t = (int) ((1.3 * nb_var) + 383);
    if(t < 130) t = 130;
    break;
  default:
    t = (int) ((3 * nb_var) + 485);
    if(t < 130) t = 130;
  }
  if(max_length > 3) {
    if(!(_b_fix3)) fix3 = t;
    if(!(_b_fix2)) fix2 = t;
    if(!(_b_lim_bf)) lim_bf = t;
  }
}

/* ---------------------------------------------------------------- */
struct cnf* 
built_clause(c)
     int *c;
{
  struct cnf *out;
  int i = 0;
  
  out = (struct cnf *)malloc(sizeof(struct cnf));
  if(out != NULL) {
    while(c[i]) {out->c[i] = c[i]; i++;}
    out->c[i] = 0;
    out->next = NULL;
  }
  out->status = ON;
  return(out);
}

struct wcl* 
built_addr(c)
     struct cnf *c;
{
  struct wcl *out;
  
  out = (struct wcl *)malloc(sizeof(struct cnf));
  if(out != NULL) {
    out->c = c;
    out->next = NULL;
  }
  return(out);
}

int copy_cl(source, destination)
int *source, *destination;
{
 int i, j;

 for(i = 0; (j = source[i]); i++) destination[i] = j;
 destination[i] = EOC; 
 return(i);
}

int
get_length(c)
     int *c;
{
  int i = 0;

  while(c[i]) ++i;
  return(i);
}

float exposant_v(v ,e)
     int v, e;
{
  float s = 1;
  int i;
  for(i = 0; i < e; i++) s *= v;
  return(s);
}

void built_main_struct(void)
{
  register int i, j, t;
  struct wcl *_wcl;
  struct cnf *_cnf;

  for(nb_clause = 0, _cnf = _ssat; _cnf != NULL; _cnf = _cnf->next)
    if(_cnf->status) ++nb_clause;
  _s_uc = 0;
  for(i = 1; i <= nb_var; i++) {
    o_p[i] = o_n[i] = 0;
    for(t = 0, _wcl = _wcl_p[i]; _wcl != NULL; _wcl = _wcl->next)
      if(_wcl->c->status) ++t;
    if((wcl_p[i] = (int *) malloc((t + 1) * sizeof(int))) == NULL) {
      printf("\nc built_main_struct :: CANNOT ALLOCATE wcl_p[%d]\n\n", i); exit(1); }
    for(t = 0, _wcl = _wcl_n[i]; _wcl != NULL; _wcl = _wcl->next)
      if(_wcl->c->status) ++t;
    if((wcl_n[i] = (int *) malloc((t + 1) * sizeof(int))) == NULL) {
      printf("\nc built_main_struct :: CANNOT ALLOCATE wcl_p[%d]\n\n", i); exit(1); }
    v_status[i] = OFF;
  }
  for(nb_clause = 0, _cnf = _ssat; _cnf != NULL; _cnf = _cnf->next)
    if(_cnf->status) {
      c_status[nb_clause] = OFF;
      c_size[nb_clause] = copy_cl(_cnf->c, ssat[nb_clause]);
      if(c_size[nb_clause] == 1) s_uc[_s_uc++] = nb_clause;
      for(j = 0; (t = ssat[nb_clause][j]); j++)
	if (t > 0) wcl_p[t][o_p[t]++] = nb_clause;
	else wcl_n[-t][o_n[-t]++] = nb_clause;
      ++nb_clause;
      if(nb_clause > MAXCLAUSE) {
	printf("\nc built_main_struct :: Number of clauses after resolvants cannot exceed %d\n\n", MAXCLAUSE);
	exit(1);
      }
    }
  for(mean = 0, i = 1; i <= nb_var; i++) {
    wcl_p[i][o_p[i]] = wcl_n[i][o_n[i]] = UNDEF;
    mean += (o_p[i] + o_n[i]);
    v_cv[i] = v_tmp[i] = v_binary[i] = scr_p[i] = scr_n[i] = 0;
  }
  mean = mean / (nb_var << 1);
  for(i = 0; i < nb_clause; i++) c_cc[i] = 0;
  for(i = 1; i <= max_length; i++)
    pondere[i] = exposant_v(PONDERE, max_length - i);
}

byte
get_resolvant(c1, c2, dest)
     int *c1, *c2, *dest;
{
  int t, p[MAXVAR+1], _p = 0, b = 0, _dest = 0;

  while((t = *c1++) != EOC) 
    if(t > 0) { if(!(++v_icu[t])) ++b; p[_p++] = t; }
    else { if(!(--v_icu[-t])) ++b; p[_p++] = t; }
  while((t = *c2++) != EOC)    
    if(t > 0) { if(!(++v_icu[t])) ++b; p[_p++] = t; }
    else { if(!(--v_icu[-t])) ++b; p[_p++] = t; }
  for(t = 0; t < _p; t++)
    if(v_icu[absolute(p[t])]) {
      dest[_dest++] = p[t];
      v_icu[absolute(p[t])] = 0;
    }
  dest[_dest] = EOC;
  if(b > 1) return(UNDEF);
  else return(_dest);
}

boolean
add_res(c)
     int *c;
{
  int t, i;
  struct cnf *_cnf;
  struct wcl *_wcl;
  
  if((_cnf = built_clause(c)) == NULL) return(FAULT);
  _cnf->next = _ssat;
  _ssat = _cnf;
  ++nb_clause;
  for(i = 0; (t = c[i]); i++) {
    if((_wcl = built_addr(_cnf)) == NULL) return(FAULT);
    if(t > 0) {
      _wcl->next = _wcl_p[t];
      _wcl_p[t] = _wcl;
    }
    else {
      _wcl->next = _wcl_n[-t];
      _wcl_n[-t] = _wcl;
    }
  }
  return(OK);
}

byte
c_cmp(c1,c2)
     int *c1, *c2;
{
  int l1, l2, t, c = 0;
  byte s = FAULT;
  
  for(l1 = 0; (t = c1[l1]); l1++) 
    if(++v_icu_l[t + nb_var] == 2) ++c;
  for(l2 = 0; (t = c2[l2]); l2++) 
    if(++v_icu_l[t + nb_var] == 2) ++c;
  if(l1 == l2) {
    if(c == l1) s = REDONDANT;
  }
  else {
    if(l1 < l2)
      { if(c == l1) s = SUBSUMEE; }
    else
      if(l2 < l1)
	{ if(c == l2) s = REDONDANT; }
  }
  for(l1 = 0; (t = c1[l1]); l1++) v_icu_l[t + nb_var] = 0;
  for(l2 = 0; (t = c2[l2]); l2++) v_icu_l[t + nb_var] = 0;
  return(s);
}

byte
check_res(c)
     int *c;
{
  byte b = OK;
  int i, t;
  struct wcl *_wcl;
  
  for(i = 0; (t = c[i]); i++) {
    if(t > 0) _wcl = _wcl_p[t];
    else _wcl = _wcl_n[-t];
    while(_wcl != NULL) {
      if(_wcl->c->status) {
	switch(c_cmp(c, _wcl->c->c)) {
	case REDONDANT : return(REDONDANT);
	case SUBSUMEE :	b = SUBSUMEE; _wcl->c->status = OFF;
	}
      }
      _wcl = _wcl->next;
    }
  }
  if(!add_res(c)) {
    printf("\nc check_res :: NOT ENOUGHT MEMORY\n\n");
    exit (-1);
  }
  return(b);
}

boolean
mk_resolvant(void)
{
  boolean b;
  int i, j, t1, res[MAXVAR+1];
  struct wcl *_cl_p;
  struct wcl *_cl_n;

  do {
    b = OK;
    for(i = 1; i <= nb_var; i++) {
      _cl_p = _wcl_p[i];
      while(_cl_p != NULL) {
			if(_cl_p->c->status) {
	  			_cl_n = _wcl_n[i];
	  			while(_cl_n != NULL) {
	    			if(_cl_n->c->status) {
	      				j = get_resolvant(_cl_n->c->c, _cl_p->c->c, res);
	      			if((j != UNDEF) && (j <= min_length)) {
						if(!j) return(FAULT);
							t1 = check_res(res);
							if(t1 != REDONDANT) b = FAULT;
	      				}
	    			}
	    		_cl_n = _cl_n->next;
	  			}
			}
			_cl_p = _cl_p->next;
      }
    }
  } while(!b);
  return(OK);
}

void values(void) {
  if(!(_b_fix3)) { fix3 = (int) ((float) (((float) nb_var * 0.18)) - 1); if(fix3 < 0) fix3 = 0; }
  if(!(_b_fix2)) { fix2 = (int) ((float) (((float) nb_var * 0.175)) + 5); if(fix2 < 0) fix2 = 0; }
  if(!(_b_fix_depth)) { fix_depth = (int) ((float) (((float) nb_var * 0.007)) + 2.2); if(fix_depth < 0) fix_depth = 0; }
  if(!(_b_filter)) { filter = (int) ((float) (((float) nb_var * 0.016667)) + 6.66667); if(filter < 8) filter = 8; }
  if(!(_b_c3h1)) { c3h1 = (int) ((float) (((float) nb_var * 0.09)) - 23); if(c3h1 < 0) c3h1 = 0; }
  if(!(_b_c3h2)) { c3h2 = (int) ((float) (((float) nb_var * 0.071428)) - 28.428); if(c3h2 < 0) c3h2 = 1000; }
  if(!(_b_c2h3)) { c2h3 = (int) ((float) (((float) nb_var * 0.017)) - 0.5); if(c2h3 < 0) c2h3 = 3; }
  if(!(_b_c3h3)) c3h3 = 1000;
  if(!(_b_lim_bf)) { lim_bf = (int) ((float) (((float) nb_var * 0.1)) + 15); if(lim_bf < 30) lim_bf = 30; }
  if(!(_b_c1h3)) { 
    if(nb_var >= 250) c1h3 = 3; 
    else c1h3 = 0;
  }
  if(!(_b_leaders)) { leaders = (int) ((float) ((float) nb_var * 5) - 445); if(leaders < 3) leaders = 3; if(leaders > 20) leaders = 20; }
  if(!(_b_breakfix)) {
    breakfix = (int) ((float) ((float) nb_var * 6) - 432);
    if(breakfix < 5) breakfix = 5;
    if((nb_var > 60) && (breakfix == 5)) breakfix = 10;
    if(breakfix > 25) breakfix = 25;
  }
}

boolean
readcnf (fichier)
     char *fichier;
{
  FILE *f;
  boolean _b;
  int i, j, k, t, _c = 0, myc[MAXLENGTH+1], _myc;

  struct cnf *_cnf;
  struct wcl *_wcl;
/***
  if ((f = fopen (fichier, "r")) == NULL) {
    printf("\nc readcnf :: ERROR OPENING FILE '%s'", fichier); return(FAULT); }
  fscanf(f, "%c", &c);
  while(c == 'c') {
    do
      fscanf(f, "%c", &c);
    while(c != '\n');
    fscanf(f, "%c", &c);
  }
  if(c != 'p') { printf("\nc readcnf :: ERROR OPENING FILE '%s'", fichier); return(FAULT); }
  fseek(f, (long) (-1), SEEK_CUR);
  fgets(s, 6, f);
  if(strcmp("p cnf",s) || (feof(f))) 
    { printf("\nc readcnf :: ERROR OPENING FILE '%s'", fichier); return(FAULT); }
  if(feof(f)) {
    printf("\nc readcnf :: ERROR FILE FORMAT '%s'", fichier);
    return(FAULT);
  }
  fscanf(f, "%d%d", &nb_var, &nb_clause);
  if(nb_var > MAXVAR) {
    printf("\nc readcnf :: Number of variables cannot exceed %d", MAXVAR);
    return(FAULT);
  }
  if(nb_clause > MAXCLAUSE) {
    printf("\nc readcnf :: Number of clauses cannot exceed %d", MAXCLAUSE);
    return(FAULT);
  }
**/
  _nb_clause = nb_clause;
 //LECTURA DE LA CLAUSULA DEL ARCHIVO
  for(k = 0; k < nb_clause; k++) {
    if(feof(f)) return(FAULT);
    _myc = 0;
    do {
	//read the integer of the formula
      fscanf(f, "%d", &t); 
	
      for(_b = OK, i = 0; i < _myc; i++)
	//verify the same integer is not in the myc array
	if(myc[i] == t) { _b = FAULT; break; }
	//if everything is ok continue
      if(_b) {
	myc[_myc++] = t;
	if(_myc > MAXLENGTH+1) {
	  printf("\nc readcnf :: CLAUSE SIZE CANNOT EXCEED %d !!", MAXLENGTH);
	  return(FAULT);
	}
      }
    } while(myc[_myc-1]);
    _b = OK;
    for (i = 0; (_c = myc[i]); i++) {
      for (j = 0; (t = myc[j]); j++)
	if (_c == -t) { --nb_clause; _b = FAULT; break; }
      if (!_b) break;
    }
    if(_b) {
      if(_myc > max_length) max_length = _myc;
      if(_myc < min_length) min_length = _myc;
      _cnf = built_clause(myc);
      _cnf->next = _ssat;
      _ssat = _cnf;
    }
  }
  for (i = 1; i <= nb_var; i++) {
    _wcl_p[i] = _wcl_n[i] = NULL;
    v_icu[i] = v_icu_l[i + nb_var] = v_icu_l[-i + nb_var] = 0;
  }
  _cnf = _ssat;
  while(_cnf != NULL) {
    for(i = 0; (j = _cnf->c[i]); i++) {
      _wcl = built_addr(_cnf);
      if(j > 0) { _wcl->next = _wcl_p[j]; _wcl_p[j] = _wcl; }
      else { _wcl->next = _wcl_n[-j]; _wcl_n[-j] = _wcl; }
    }
    _cnf = _cnf->next;
  }
  if(--min_length < 3) {
    cnf2 = ON;
    min_length = 3;
  }
  fclose(f);
  init_max_length = max_length;
  --max_length;
  /* if(max_length < 3) {
    printf("\nc readcnf :: CLAUSE SIZE MUST EXCEED 3 !!");
    return(FAULT);
  } */
  return(OK);
}

void
free_dynamic(void)
{
  int i;
  struct cnf *_cnf, *__cnf;
  struct wcl *_wcl, *__wcl;

  _cnf = _ssat;
  while(_cnf != NULL) {
    __cnf = _cnf;
    _cnf = _cnf->next;
    free(__cnf);
  }
  for (i = 1; i <= nb_var; i++) {
    _wcl = _wcl_p[i];
    while(_wcl != NULL) {
      __wcl = _wcl;
      _wcl = _wcl->next;
      free(__wcl);
    }
    _wcl = _wcl_n[i];
    while(_wcl != NULL) {
      __wcl = _wcl;
      _wcl = _wcl->next;
      free(__wcl);
    }

  }
}

int
occ_p_k(v)
     register int v;
{
  register int *_wcl = wcl_p[v], *_ocl = ocl_p[v];
  register int i, _p = 0;
  
  for(i = 2; i <= max_length; i++) _ocl[i] = 0;
  for(i = *_wcl ; i != UNDEF ; i = *(++_wcl)) {
    if(c_status[i]) continue;
    ++_ocl[(int)c_size[i]]; /* WARNING ERASED */
    ++_p;
  }
  return(_p);
}

int
occ_n_k(v)
     register int v;
{
  register int *_wcl = wcl_n[v], *_ocl = ocl_n[v];
  register int i, _n = 0;
  
  for(i = 2; i <= max_length; i++) _ocl[i] = 0;
  for(i = *_wcl ; i != UNDEF ; i = *(++_wcl)) {
    if(c_status[i]) continue;
    ++_ocl[(int)c_size[i]]; /* WARNING ERASED */
    ++_n;
  }
  return(_n);
}

int
occ_p_l(v)
     register int v;
{
  int *_wcl = wcl_p[v];
  register int i, _p2 , _p3;
  
  for(_p2 = _p3 = 0, i = *_wcl ; i != UNDEF ; i = *(++_wcl))
    if(!c_status[i]) {
      if(c_size[i] == 2) ++_p2;
      else ++_p3;
    }
  p3[v] = _p3; p2[v] = _p2;
  return(_p2 + _p3);
}

int
occ_n_l(v)
     register int v;
{
  int *_wcl = wcl_n[v];
  register int i, _n2, _n3;

  for(_n2 = _n3 = 0, i = *_wcl ; i != UNDEF ; i = *(++_wcl))
    if(!c_status[i]) {
      if(c_size[i] == 2) ++_n2;
      else ++_n3;
    }
  n3[v] = _n3; n2[v] = _n2;
  return(_n2 + _n3);
}

void 
light_reduce(l)
     register int *l;
{
  register int i;

  while((i = *l++) != UNDEF) {
    if(c_status[i]) continue;
    switch(--c_size[i]) {
    case 1: s_uc[_s_uc++] = i; continue;
    default: s_c[_s_c++] = i; c_cc[i] = _c_cc;
    }
  }
}

boolean 
reduce(l)
     register int *l;
{
  register int i;
  
  while((i = *l++) != UNDEF) {
    if(c_status[i]) continue;
    switch(--c_size[i]) {
      case 1: s_uc[_s_uc++] = i; continue;
      case 0: ++c_size[i]; return(FAULT);
      default: s_c[_s_c++] = i; c_cc[i] = _c_cc;
      }
    }
  return(OK);
}

void 
satisfy(l)
     register int *l;
{
  register int i;
  
  while((i = *l++) != UNDEF) {
    if(c_status[i]) continue;
    s_s[_s_s++] = i;
    c_status[i] = ON;
  }
}

boolean 
up_i(void)
{
  register int i = 0, j, t, *_cl, __s_c = _s_c, __s_v = _s_v;

  while(i < _s_uc)
    for(++c_size[t = s_uc[i++]], _cl = ssat[t], j = *_cl ; j != EOC ; j = *(++_cl))
      if(!v_status[t = absolute(j)]) {
	if(j > 0) {
	  if(!reduce(wcl_n[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) {
	      ++c_size[s_c[--_s_c]];
	    }
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	  v_tf[t] = TRUE;
	}
	else {
	  if(!reduce(wcl_p[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) {
	      ++c_size[s_c[--_s_c]];
	    }
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	  v_tf[t] = FALSE;
	}
	s_v[_s_v++] = t;
	v_status[t] = ON;
	break;
      }
  return(OK);
}

boolean up_alpha_i(void)
{
  register int i = 0, j, t, *_cl, __s_c = _s_c, __s_v = _s_v;

  while(i < _s_uc)
    for(++c_size[t = s_uc[i++]], _cl = ssat[t], j = *_cl ; j != EOC ; j = *(++_cl))
      if(!v_status[t = absolute(j)]) {
	if(j > 0) {
	  if(!reduce(wcl_n[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	  v_tf[t] = TRUE;
	}
	else {
	  if(!reduce(wcl_p[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	  v_tf[t] = FALSE;
	}
	s_v[_s_v++] = t;
	v_cv[t] = _v_cv;
	v_status[t] = ON;
	break;
      }
  return(OK);
}

boolean up(void)
{
  register int i = 0, j, t, *_cl, __s_c = _s_c, __s_v = _s_v;

  while(i < _s_uc)
    for(++c_size[t = s_uc[i++]], _cl = ssat[t], j = *_cl ; j != EOC ; j = *(++_cl))
      if(!v_status[t = absolute(j)]) {
	if(j > 0) {
	  if(!reduce(wcl_n[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	}
	else {
	  if(!reduce(wcl_p[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	}
	s_v[_s_v++] = t;
	v_status[t] = ON;
	break;
      }
  return(OK);
}

boolean up_alpha(void)
{
  register int i = 0, j, t, *_cl, __s_c = _s_c, __s_v = _s_v;

  while(i < _s_uc)
    for(++c_size[t = s_uc[i++]], _cl = ssat[t], j = *_cl ; j != EOC ; j = *(++_cl))
      if(!v_status[t = absolute(j)]) {
	if(j > 0) {
	  if(!reduce(wcl_n[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	  if((v_cv[t] == _v_cv) && (v_tf[t] == TRUE)) s_alpha[_s_alpha++] = j;
	}
	else {
	  if(!reduce(wcl_p[t])) {
	    while(i < _s_uc) ++c_size[s_uc[i++]];
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	  if((v_cv[t] == _v_cv) && (v_tf[t] == FALSE)) s_alpha[_s_alpha++] = j;
	}
	s_v[_s_v++] = t;
	v_status[t] = ON;
	break;
      }
  return(OK);
}

boolean
reduce_n(v)
     register int v;
{
  register int __s_c = _s_c;

  _s_uc = 0;
  light_reduce(wcl_p[v]);
  s_v[_s_v++] = v;
  v_status[v] = ON;
  v_tf[v] = FALSE;
  if(up_i()) { 
    return(OK);
  }
  while(_s_c != __s_c)  ++c_size[s_c[--_s_c]];
  v_status[v] = OFF;
  --_s_v;
  return(FAULT);
}

boolean
reduce_p(v)
     register int v;
{
  register int __s_c = _s_c;

  _s_uc = 0;
  light_reduce(wcl_n[v]);
  s_v[_s_v++] = v;
  v_status[v] = ON;
  v_tf[v] = TRUE;
  if(up_i()) return(OK);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  v_status[v] = OFF;
  --_s_v;
  return(FAULT);
}

boolean
reduce_alpha_p(v)
     register int v;
{
  register int __s_c = _s_c;

  ++_v_cv;
  ++_c_cc;
  _s_uc = 0;
  light_reduce(wcl_n[v]);
  s_v[_s_v++] = v;
  v_status[v] = ON;
  v_tf[v] = TRUE;
  if(up_alpha_i()) return(OK);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  v_status[v] = OFF;
  --_s_v;
  return(FAULT);
}

boolean
light_reduce_alpha_n(v)
     register int v;
{
  register int __s_c = _s_c;

  _s_uc = _s_alpha = 0;
  ++_c_cc;
  light_reduce(wcl_p[v]);
  s_v[_s_v++] = v;
  v_status[v] = ON;
  if(up_alpha()) return(OK);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  v_status[v] = OFF;
  --_s_v;
  return(FAULT);
}

boolean
light_reduce_p(v)
     register int v;
{
  register int __s_c = _s_c;

  _s_uc = 0;
  light_reduce(wcl_n[v]);
  s_v[_s_v++] = v;
  v_status[v] = ON;
  if(up()) return(OK);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  v_status[v] = OFF;
  --_s_v;
  return(FAULT);
}

boolean
light_reduce_n(v)
     register int v;
{
  register int __s_c = _s_c;

  _s_uc = 0;
  light_reduce(wcl_p[v]);
  s_v[_s_v++] = v;
  v_status[v] = ON;
  if(up()) return(OK);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  v_status[v] = OFF;
  --_s_v;
  return(FAULT);
}

void
fix(s)
     register int s;
{
  int t;

  while(s != _s_v) {
    t = s_v[s++];
    if(v_tf[t]) satisfy(wcl_p[t]);
    else satisfy(wcl_n[t]);
  }
}

boolean
deep_fix_p_k(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v; 

  if(!reduce_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!deep_fix_k(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
      return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!deep_fix_k(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!reduce_n(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!deep_fix_k(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
deep_fix_n_k(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v;

  if(!reduce_n(v)) {
    if(!reduce_p(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!deep_fix_k(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
    return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!deep_fix_k(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!reduce_p(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!deep_fix_k(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
deep_fix_k(s)
     register int s;
{
  int i, j, t, *cl;

  for(++_fix_depth, i = s; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2)
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) {
	    if(ocl_n[t][2] > 0) { if(!deep_fix_n_k(t)) return(FAULT); break; }
	  }
	  else {
	    if(ocl_p[t][2] > 0) { if(!deep_fix_p_k(t)) return(FAULT); break; }
	  }
	}
  return(OK);
}

boolean
deep_fix_p_l(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v; 

  if(!reduce_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!deep_fix_l(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
      return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!deep_fix_l(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!reduce_n(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!deep_fix_l(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
deep_fix_n_l(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v;

  if(!reduce_n(v)) {
    if(!reduce_p(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!deep_fix_l(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
    return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!deep_fix_l(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!reduce_p(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!deep_fix_l(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
deep_fix_l(s)
     register int s;
{
  int i, j, t, *cl;

  for(++_fix_depth, i = s; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2)
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) {
	    if(n2[t] > 1) { if(!deep_fix_n_l(t)) return(FAULT); break; }
	  }
	  else {
	    if(p2[t] > 1) { if(!deep_fix_p_l(t)) return(FAULT); break; }
	  }
	}
  return(OK);
}

boolean
light_deep_fix_p_k(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v;

  if(!light_reduce_p(v)) {
    if(!light_reduce_n(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!light_deep_fix_k(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
      return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!light_deep_fix_k(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!light_reduce_n(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!light_deep_fix_k(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
light_deep_fix_n_k(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v;

  if(!light_reduce_n(v)) {
    if(!light_reduce_p(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!light_deep_fix_k(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
    return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!light_deep_fix_k(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!light_reduce_p(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!light_deep_fix_k(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
light_deep_fix_k(s)
     register int s;
{
  int i, j, t, *cl;

  for(++_fix_depth, i = s; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2)
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) {
	    if(ocl_n[t][2] > 0) { if(!light_deep_fix_n_k(t)) return(FAULT); break; }
	  }
	  else {
	    if(ocl_p[t][2] > 0) { if(!light_deep_fix_p_k(t)) return(FAULT); break; }
	  }
	}
  return(OK);
}

boolean
light_deep_fix_p_l(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v;

  if(!light_reduce_p(v)) {
    if(!light_reduce_n(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!light_deep_fix_l(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
      return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!light_deep_fix_l(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!light_reduce_n(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!light_deep_fix_l(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
light_deep_fix_n_l(v)
     register int v;
{
  register int __s_c = _s_c, __s_v = _s_v;

  if(!light_reduce_n(v)) {
    if(!light_reduce_p(v)) return(FAULT);
    if(_fix_depth < fix_depth)
      if(_s_c - __s_c > fix3)
	if(!light_deep_fix_l(__s_c)) {
	  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	  return(FAULT);
	}
    return(OK);
  }
  if(_fix_depth < fix_depth)
    if(_s_c - __s_c > fix3)
      if(!light_deep_fix_l(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	if(!light_reduce_p(v)) return(FAULT);
	if(_s_c - __s_c > fix3)
	  if(!light_deep_fix_l(__s_c)) {
	    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	    return(FAULT);
	  }
	return(OK);
      }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(OK);
}

boolean
light_deep_fix_l(s)
     register int s;
{
  int i, j, t, *cl;

  for(++_fix_depth, i = s; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2)
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) {
	    if(n2[t] > 1) { if(!light_deep_fix_n_l(t)) return(FAULT); break; }
	  }
	  else {
	    if(p2[t] > 1) { if(!light_deep_fix_p_l(t)) return(FAULT); break; }
	  }
	}
  return(OK);
}

float
h1(c)
     register int c;
{
  register int i, j, k, t;
  float s = 1, f;
  int *_cl = ssat[c], *_ocl;

  for(i = *_cl; i != EOC; i = *(++_cl)) 
    if(i > 0) {
      if(!v_status[i]) {
	++nb_eval;
	if(scr_n[i] !=  _scr) { occ_n_k(i); scr_n[i] = _scr; }
	for(_ocl = ocl_n[i], f = 0, j = 2; j <= max_length; j++)
	  if((k = _ocl[j])) f += (k * pondere[j]);
	s *= f;
	cum_eval += f;
      }
    }
    else {
      t = -i;
      if(!v_status[t]) {
	++nb_eval;
	if(scr_p[t] !=  _scr) { occ_p_k(t); scr_p[t] = _scr; }
	for(_ocl = ocl_p[t], f = 0, j = 2; j <= max_length; j++)
	  if((k = _ocl[j])) f += (k * pondere[j]);
	s *= f;
	cum_eval += f;
      }
    }
  return(s);
}

int
h1_light(c)
     register int c;
{
  register int i, t, s = 1;
  int *_cl = ssat[c];

  for(i = *_cl; i != EOC; i = *(++_cl)) 
    if(i > 0) {
      if (!v_status[i]) s *= n2[i] * PONDERE + n3[i];
    }
    else {
      t = -i;
      if (!v_status[t]) s *= p2[t] * PONDERE + p3[t];
    }
  return(s);
}

boolean
fix_h1_h0(v)
     register int v;
{
  register int i, c, t;
  int __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;

  if(!reduce_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    fix(__s_v);
    return(OK);
  }
  for(t = 0, i = __s_c ; i < _s_c ; i++) {
    t += h1_light(c = s_c[i]);
    ++c_size[c];
  }
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  w_p[v] = (float) t;
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_n(v)) {
    while(__s_c != _s_c) --c_size[s_c[__s_c++]];
    while(__s_v != _s_v) {
      v_status[i = s_v[__s_v++]] = ON;
      if(v_tf[i]) satisfy(wcl_p[i]);
      else satisfy(wcl_n[i]);
    }
    fix(__s_v);
    ++_c_fix;
    return(OK);
  }
  t = 0;
  while(_s_c != ___s_c) {
    t += h1_light(c = s_c[--_s_c]);
    ++c_size[c];
  }
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  w_n[v] = (float) t;
  _s_c = __s_c;
  _s_v = __s_v;
  s_choice_h0[_s_choice_h0++] = v;
  return(OK);
}

boolean
on_h0(s)
     register int s;
{
  int i, j, k, t = 0, v[MAXVAR], _v = 0;
  float m, f, p, n;
  
  if(_s_choice < s) s = _s_choice;
  for(i = 0; i < s; i++) {
    for(m= -1, j = 0; j < _s_choice; j++) {
      k = s_choice[j];
      p = w_p[k];
      n = w_n[k];
      f = p * n * 1024 + p + n + 1;
      if(f > m) {
	m = f;
	t = k;
      }
    }
    w_p[t] = w_n[t] = 0;
    v[_v++] = t;
  }
  _s_choice_h0 = 0;
  for(i = 0; i < _v; i++)
    if(!v_status[t = v[i]]) {
      if(!fix_h1_h0(t)) {
	return(FAULT);
      }
    }
  return(OK);
}

float 
score_n(v)
     register int v;
{
  int i, t, __s_c = _s_c, __s_v = _s_v;

  _s_uc = 0;
  light_reduce(wcl_p[v]);
  v_status[v] = ON;
  up();
  for(t = 0, i = __s_c ; i < _s_c ; i++) t += h1_light(s_c[i]);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  v_status[v] = OFF;
  return((float) t);
}

float 
score_p(v)
     register int v;
{
  int i, t, __s_c = _s_c, __s_v = _s_v;

  _s_uc = 0;
  light_reduce(wcl_n[v]);
  v_status[v] = ON;
  up();
  for(t= 0, i = __s_c ; i < _s_c ; i++) t += h1_light(s_c[i]);
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  v_status[v] = OFF;
  return((float) t);
}

float score_h3_p(v)
     register int v;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  _s_uc = 0;
  light_reduce(wcl_n[v]);
  v_status[v] = ON;
  s_v[_s_v++] = v;
  up();
  for(i = __s_c; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_p(t);
	  else w *= score_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

float 
score_h3_n(v)
     register int v;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  _s_uc = 0;
  light_reduce(wcl_p[v]);
  v_status[v] = ON;
  s_v[_s_v++] = v;
  up();
  for(i = __s_c; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_p(t);
	  else w *= score_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

float 
h3(s)
     register int s;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  for(i = s; i < __s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_h3_p(t);
	  else w *= score_h3_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

boolean
fix_h3(v)
     register int v;
{
  register int i, __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;

  if(!reduce_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    fix(__s_v);
    return(OK);
  }
  w_p[v] = h3(__s_c);
  for(i = __s_c ; i < _s_c ; i++) ++c_size[s_c[i]];
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_n(v)) {
    while(__s_c != _s_c) --c_size[s_c[__s_c++]];
    while(__s_v != _s_v) {
      v_status[i = s_v[__s_v++]] = ON;
      if(v_tf[i]) satisfy(wcl_p[i]);
      else satisfy(wcl_n[i]);
    }
    ++_c_fix;
    return(OK);
  }
  w_n[v] = h3(___s_c);
  while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  _s_c = __s_c;
  _s_v = __s_v;
  s_choice_h3[_s_choice_h3++] = v;
  return(OK);
}

boolean
on_h2(s)
     register int s;
{
  int i, j, k, t = 0, v[MAXVAR], _v = 0;
  float m, f, p, n;
  
  if(_s_choice_h2 < s) s = _s_choice_h2;
  for(i = 0; i < s; i++) {
    m = 0;
    for(j = 0; j < _s_choice_h2; j++) {
      k = s_choice_h2[j];
      p = w_p[k];
      n = w_n[k];
      f = p * n * 1024 + p + n + 1;
      if(f > m) {
	m = f;
	t = k;
      }
    }
    w_p[t] = w_n[t] = 0;
    v[_v++] = t;
  }
  _s_choice_h3 = 0;
  for(i = 0; i < _v; i++) {
    if(!v_status[t = v[i]]) {
      if(!fix_h3(t)) {
	return(FAULT);
      }
    }
  }
  return(OK);
}

float score_h4_p(v)
     register int v;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  _s_uc = 0;
  light_reduce(wcl_n[v]);
  v_status[v] = ON;
  s_v[_s_v++] = v;
  up();
  for(i = __s_c; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_h3_p(t);
	  else w *= score_h3_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

float 
score_h4_n(v)
     register int v;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  _s_uc = 0;
  light_reduce(wcl_p[v]);
  v_status[v] = ON;
  s_v[_s_v++] = v;
  up();
  for(i = __s_c; i < _s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_h3_p(t);
	  else w *= score_h3_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

float 
h4(s)
     register int s;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  for(i = s; i < __s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl; j != EOC; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_h4_p(t);
	  else w *= score_h4_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

boolean
fix_h4(v)
     register int v;
{
  register int i, __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;

  if(!reduce_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    fix(__s_v);
    return(OK);
  }
  w_p[v] = h4(__s_c);
  for(i = __s_c ; i < _s_c ; i++) ++c_size[s_c[i]];
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_n(v)) {
    while(__s_c != _s_c) --c_size[s_c[__s_c++]];
    while(__s_v !=  _s_v) {
      v_status[i = s_v[__s_v++]] = ON;
      if(v_tf[i]) satisfy(wcl_p[i]);
      else satisfy(wcl_n[i]);
    }
    ++_c_fix;
    return(OK);
  }
  w_n[v] = h4(___s_c);
  while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  _s_c = __s_c;
  _s_v = __s_v;
  s_choice_h4[_s_choice_h4++] = v;
  return(OK);
}

boolean
on_h3(s)
     register int s;
{
  int i, j, k, t = 0, v[MAXVAR], _v = 0;
  float m, f, p, n;
  
  if(_s_choice_h3 < s) s = _s_choice_h3;
  for(i = 0; i < s; i++) {
    m = 0;
    for(j = 0; j < _s_choice_h3; j++) {
      k = s_choice_h3[j];
      p = w_p[k];
      n = w_n[k];
      f = p * n * 1024 + p + n + 1;
      if(f > m) {
	m = f;
	t = k;
      }
    }
    w_p[t] = w_n[t] = 0;
    v[_v++] = t;
  }
  _s_choice_h4 = 0;
  for(i = 0; i < _v; i++) {
    if(!v_status[t = v[i]])
      if(!fix_h4(t)) return(FAULT);
  }
  return(OK);
}

float
h2(s)
     register int s;
{
  int i, j, t, *cl, __s_c = _s_c, __s_v = _s_v;
  float w, f = 0;

  for(i = s; i < __s_c; i++)
    if(c_size[t = s_c[i]] == 2) {
      w = (float) 1;
      for(cl = ssat[t], j = *cl ; j != EOC ; j = *(++cl))
	if(!v_status[t = absolute(j)]) {
	  if(j > 0) w *= score_p(t);
	  else w *= score_n(t);
	}
      f += w;
    }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
  return(f);
}

boolean
fix_h2(v)
     register int v;
{
  register int i, __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;

  if(!reduce_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    fix(__s_v);
    return(OK);
  }
  w_p[v] = h2(__s_c);
  for(i = __s_c ; i < _s_c ; i++) ++c_size[s_c[i]];
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_n(v)) {
    while(__s_c != _s_c) --c_size[s_c[__s_c++]];
    while(__s_v !=  _s_v) {
      v_status[i = s_v[__s_v++]] = ON;
      if(v_tf[i]) satisfy(wcl_p[i]);
      else satisfy(wcl_n[i]);
    }
    ++_c_fix;
    return(OK);
  }
  w_n[v] = h2(___s_c);
  while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  _s_c = __s_c;
  _s_v = __s_v;
  s_choice_h2[_s_choice_h2++] = v;
  return(OK);
}

boolean
on_h1(s)
     register int s;
{
  int i, j, k, t = 0, v[MAXVAR], _v = 0;
  float m, f, p, n;

  if(_s_choice < s) s = _s_choice;
  for(i = 0; i < s; i++) {
    for(m= -1, j = 0; j < _s_choice; j++) {
      k = s_choice[j];
      p = w_p[k];
      n = w_n[k];
      f = p * n * 1024 + p + n + 1;
      if(f > m) {
	m = f;
	t = k;
      }
    }
    w_p[t] = w_n[t] = 0;
    v[_v++] = t;
  }
  _s_choice_h2 = 0;
  for(i = 0; i < _v; i++) {
    if(!v_status[t = v[i]])
      if(!fix_h2(t)) return(FAULT);
  }
  if(_s_choice_h2 > c3h2) {
    if(!on_h2(c3h2)) return(FAULT);
    if(_s_choice_h3 > c3h3) {
      if(!on_h3(c3h3)) return(FAULT);
    }
  }
  return(OK);
}

/* -------------------------------------------------------------- */
void
get_bf(v)
     register int v;
{
  int i, *cl, *_cl, _v = 0, t;

  ++_v_tmp;
  _s_tmp = 0;
  if(v > 0) cl = wcl_p[v];
  else cl = wcl_n[-v];
  for(i = *cl; i != UNDEF; i = *(++cl))
    if(!c_status[i])
      if(c_size[i] == 2)
	if(c_cc[i] != _c_cc)
	  for(_cl = ssat[i], _v = *_cl; _v != EOC; _v = *(++_cl))
	    if(!v_status[t = absolute(_v)] && (_v != v))
	      if(v_tmp[t] != _v_tmp) {
		s_tmp[_s_tmp++] = _v;
		v_tmp[t] = _v_tmp;
	      }
}

void
back_fix(v)
     register int v;
{
  int t, __s_c = _s_c, __s_v = _s_v;

  _s_uc = 0;
  if(v > 0) { t = v; light_reduce(wcl_p[t]); }
  else { t = -v; light_reduce(wcl_n[t]); }
  s_v[_s_v++] = t;
  v_status[t] = ON;
  if(!up()) {
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    v_status[t] = OFF;
    --_s_v;
    s_bf[_s_bf++] = v;
  }
  while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
}

boolean
on_bf(void)
{
  register int __s_v = _s_v, i, a, t;

  for(i = 0; i < _s_bf; i++) {
    t = s_bf[i];
    if(!v_status[a = absolute(t)]) {
      if(t > 0) { if(!reduce_p(a)) return(FAULT); }
      else { if(!reduce_n(a)) return(FAULT); }
    }
  }
  fix(__s_v);
  return(OK);
}

boolean
on_alpha(void)
{
  register int __s_v = _s_v, i, a, t;

  for(i = 0; i < _s_alpha; i++) {
    t = s_alpha[i];
    if(!v_status[a = absolute(t)]) {
      if(t > 0) { if(!reduce_p(a)) return(FAULT); }
      else { if(!reduce_n(a)) return(FAULT); }
    }
  }
  fix(__s_v);
  return(OK);
}

/* -------------------------------------------------------------- */

boolean
fix_h0_k(v)
     register int v;
{
  register int i, j, k, __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;
  float *_scl, f, s;

  if(!reduce_alpha_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    _fix_depth = 0;
    if(!deep_fix_k(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    return(OK);
  }
  _scl = scl_p[v];
  for(i = 2; i <= max_length; i++) _scl[i] = 0;
  for(i = __s_c; i < _s_c; i++) ++_scl[(int)c_size[s_c[i]]]; /* WARNING ERASED */
  for(f = 0, j = 2; j <= max_length; j++)
    if((k = _scl[j])) f += (k * pondere[j]);
  w_p[v] = f;
  s = _s_c - __s_c;
  if(s > fix2) {
    _fix_depth = 0;
    if(!deep_fix_k(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      if(!reduce_n(v)) return(FAULT);
      ++_c_fix;
      _fix_depth = 0;
      if(!deep_fix_k(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	return(FAULT);
      }      
      fix(__s_v);
      return(OK);
    }
  }
  _s_bf = 0;
  if(s > lim_bf) {
    get_bf(v);
    for(i = 0; i < _s_tmp; i++) back_fix(s_tmp[i]);
  }
  for(i = __s_c ; i < _s_c ; i++) ++c_size[s_c[i]];
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  if(_s_bf) {
    _s_v = __s_v;
    _s_c = __s_c;
    if(!on_bf()) return(FAULT);
    return(OK);
  }
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_alpha_n(v)) {
    i = __s_c; while(i != _s_c) --c_size[s_c[i++]];
    i = __s_v; while(i != _s_v) v_status[s_v[i++]] = ON;
    ++_c_fix;
    _fix_depth = 0;
    if(!deep_fix_k(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    return(OK);
  }
  _scl = scl_n[v];
  for(i = 2; i <= max_length; i++) _scl[i] = 0;
  for(i = ___s_c; i < _s_c; i++) ++_scl[(int)c_size[s_c[i]]]; /* WARNING ERASED */
  for(f = 0, j = 2; j <= max_length; j++)
    if((k = _scl[j])) f += (k * pondere[j]);
  w_n[v] = f;
  s = _s_c - ___s_c;
  if(s > fix2) {
    _fix_depth = 0;
    if(!light_deep_fix_k(___s_c)) {
      while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
      i = __s_c;
      while(i != _s_c) --c_size[s_c[i++]];
      i = __s_v;
      while(i != _s_v) v_status[s_v[i++]] = ON;
      ++_c_fix;
      _fix_depth = 0;
      if(!deep_fix_k(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	return(FAULT);
      }
      fix(__s_v);
      return(OK);
    }
  }
  _s_bf = 0;
  if(s > lim_bf) {
    get_bf(-v);
    for(i = 0; i < _s_tmp; i++) back_fix(s_tmp[i]);
  }
  while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  _s_c = __s_c;
  _s_v = __s_v;
  if(_s_bf) {
    if(!on_bf()) return(FAULT);
    return(OK);
  }
  if(!on_alpha()) return(FAULT);
  s_choice[_s_choice++] = v;
  return(OK);
}

boolean
fix_h0_l(v)
     register int v;
{
  register int i, __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;

  if(!reduce_alpha_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    _fix_depth = 0;
    if(!deep_fix_l(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    return(OK);
  }
  if((w_p[v] = (float) (_s_c - __s_c)) > fix2) {
    _fix_depth = 0;
    if(!deep_fix_l(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      if(!reduce_n(v)) return(FAULT);
      ++_c_fix;
      _fix_depth = 0;
      if(!deep_fix_l(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	return(FAULT);
      }      
      fix(__s_v);
      return(OK);
    }
  }
  _s_bf = 0;
  if(w_p[v] > lim_bf) {
    get_bf(v);
    for(i = 0; i < _s_tmp; i++) back_fix(s_tmp[i]);
  }
  for(i = __s_c ; i < _s_c ; i++) ++c_size[s_c[i]];
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  if(_s_bf) {
    _s_v = __s_v;
    _s_c = __s_c;
    if(!on_bf()) return(FAULT);
    return(OK);
  }
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_alpha_n(v)) {
    i = __s_c; while(i != _s_c) --c_size[s_c[i++]];
    i = __s_v; while(i != _s_v) v_status[s_v[i++]] = ON;
    ++_c_fix;
    _fix_depth = 0;
    if(!deep_fix_l(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    return(OK);
  }
  if((w_n[v] = (float) (_s_c - ___s_c)) > fix2) {
    _fix_depth = 0;
    if(!light_deep_fix_l(___s_c)) {
      while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
      i = __s_c;
      while(i != _s_c) --c_size[s_c[i++]];
      i = __s_v;
      while(i != _s_v) v_status[s_v[i++]] = ON;
      ++_c_fix;
      _fix_depth = 0;
      if(!deep_fix_l(__s_c)) {
	while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
	while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
	return(FAULT);
      }
      fix(__s_v);
      return(OK);
    }
  }
  _s_bf = 0;
  if(w_n[v] > lim_bf) {
    get_bf(-v);
    for(i = 0; i < _s_tmp; i++) back_fix(s_tmp[i]);
  }
  while(_s_c != ___s_c) ++c_size[s_c[--_s_c]];
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  _s_c = __s_c;
  _s_v = __s_v;
  if(_s_bf) {
    if(!on_bf()) return(FAULT);
    return(OK);
  }
  if(!on_alpha()) return(FAULT);
  s_choice[_s_choice++] = v;
  return(OK);
}

boolean
fix_h1_l(v)
     register int v;
{
  register int i, c, t;
  register int __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;

  if(!reduce_alpha_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    _fix_depth = 0;
    if(!deep_fix_l(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    return(OK);
  }
  for(t = 0, i = __s_c ; i < _s_c ; i++) {
    t += h1_light(c = s_c[i]);
    ++c_size[c];
  }
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  w_p[v] = (float) t;
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_alpha_n(v)) {
    while(__s_c != _s_c) --c_size[s_c[__s_c++]];
    while(__s_v != _s_v) {
      v_status[i = s_v[__s_v++]] = ON;
      if(v_tf[i]) satisfy(wcl_p[i]);
      else satisfy(wcl_n[i]);
    }
    _fix_depth = 0;
    if(!deep_fix_l(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    ++_c_fix;
    return(OK);
  }
  t = 0;
  while(_s_c != ___s_c) {
    t += h1_light(c = s_c[--_s_c]);
    ++c_size[c];
  }
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  w_n[v] = (float) t;
  _s_c = __s_c;
  _s_v = __s_v;
  if(!on_alpha()) return(FAULT);
  s_choice[_s_choice++] = v;
  return(OK);
}

boolean
fix_h1_k(v)
     register int v;
{
  register int i, c;
  register int __s_v = _s_v, __s_c = _s_c, ___s_c, ___s_v;
  float *_scl;

  if(!reduce_alpha_p(v)) {
    if(!reduce_n(v)) return(FAULT);
    ++_c_fix;
    _fix_depth = 0;
    if(!deep_fix_k(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    return(OK);
  }
  _scl = scl_p[v];
  for(i = 2; i <= max_length; i++) _scl[i] = 0;
  for(i = __s_c, c = s_c[i]; i < _s_c; c = s_c[++i])
    _scl[(int)c_size[c]++] += h1(c); /* WARNING ERASED */
  for(i = __s_v ; i < _s_v ; i++) v_status[s_v[i]] = OFF;
  ___s_c = _s_c;
  ___s_v = _s_v;
  if(!light_reduce_alpha_n(v)) {
    while(__s_c != _s_c) --c_size[s_c[__s_c++]];
    while(__s_v != _s_v) {
      v_status[i = s_v[__s_v++]] = ON;
      if(v_tf[i]) satisfy(wcl_p[i]);
      else satisfy(wcl_n[i]);
    }
    _fix_depth = 0;
    if(!deep_fix_k(__s_c)) {
      while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
      while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
      return(FAULT);
    }
    fix(__s_v);
    ++_c_fix;
    return(OK);
  }
  _scl = scl_n[v];
  for(i = 2; i <= max_length; i++) _scl[i] = 0;
  while(_s_c != ___s_c) {
    c = s_c[--_s_c];
    _scl[(int)c_size[c]] += h1(c); /* WARNING ERASED */
    ++c_size[c];
  }
  while(_s_v != ___s_v) v_status[s_v[--_s_v]] = OFF;
  _s_c = __s_c;
  _s_v = __s_v;
  if(!on_alpha()) return(FAULT);
  return(OK);
}

void normalize(void)
{
  int i, j, m;
  float f, k, *_scl;

  if(nb_eval) norm = cum_eval / (float) nb_eval;
  for(i = 1, _norm[0] = 1, j = max_length - 2; i <= j; i++)
    _norm[i] = (_norm[i-1] * norm);
  for(i = 0; i < _s_choice; i++)
    if(!v_status[m = s_choice[i]]) {
      for(_scl = scl_p[m], f = 0, j = 2; j <= max_length; j++)
	  if((k = _scl[j])) 
	    f += (k * pondere[j] * _norm[max_length - j]);
      w_p[m] = f;
      for(_scl = scl_n[m], f = 0, j = 2; j <= max_length; j++)
	  if((k = _scl[j])) 
	    f += (k * pondere[j] * _norm[max_length - j]);
      w_n[m] = f;
    }
}

boolean
fix_h0_light(v)
     register int v;
{
  register int i, j, k;
  register float *_scl, f;
  int *t;

  t = wcl_n[v];
  _scl = scl_p[v];
  for(i = 2; i <= max_length; i++) _scl[i] = 0;
  while((i = *t++) != UNDEF)
    if(!c_status[i])
      ++_scl[(int)c_size[i]]; /* WARNING ERASED */
  for(f = 0, j = 2; j <= max_length; j++)
    if((k = _scl[j])) f += (k * pondere[j]);
  w_p[v] = f;
  t = wcl_p[v];
  _scl = scl_n[v];
  for(i = 2; i <= max_length; i++) _scl[i] = 0;
  while((i = *t++) != UNDEF)
    if(!c_status[i])
      ++_scl[(int)c_size[i]]; /* WARNING ERASED */
  for(f = 0, j = 2; j <= max_length; j++)
    if((k = _scl[j])) f += (k * pondere[j]);
  w_n[v] = f;

  s_choice[_s_choice++] = v;
  return(OK);
}

void
to_choice(void)
{
  register int i, j;
  float p, n, m, c;
  
  for(m = -1, i = 0; i < _s_choice; i++)
    if(!v_status[j = s_choice[i]]) {
      p = w_p[j]; n = w_n[j]; c = (p * n * 1024) + p + n + 1;
      if(c > m) {
	m = c;
	choice = j;
      }
    }
}

void
to_choice_l(void)
{
  register int i, j;
  float p, n, m, c, _choice = choice;

  if(_s_choice_h4)
    for(m = -1, i = 0; i < _s_choice_h4; i++)
      if(!v_status[j = s_choice_h4[i]]) {
	p = w_p[j]; n = w_n[j];	c = (p * n * 1024) + p + n + 1;
	if(c > m) {
	  m = c;
	  choice = j;
	}
      }
  if(choice == _choice)
    if(_s_choice_h3)
      for(m = -1, i = 0; i < _s_choice_h3; i++)
	if(!v_status[j = s_choice_h3[i]]) {
	  p = w_p[j]; n = w_n[j]; c = (p * n * 1024) + p + n + 1;
	  if(c > m) {
	    m = c;
	    choice = j;
	  }
	}
  if(choice == _choice)
    if(_s_choice_h2)
      for(m = -1, i = 0; i < _s_choice_h2; i++)
	if(!v_status[j = s_choice_h2[i]]) {
	  p = w_p[j]; n = w_n[j]; c = (p * n * 1024) + p + n + 1;
	  if(c > m) {
	    m = c;
	    choice = j;
	  }
	}
  if(choice == _choice)
    for(m = -1, i = 0; i < _s_choice; i++)
      if(!v_status[j = s_choice[i]]) {
	p = w_p[j]; n = w_n[j]; c = (p * n * 1024) + p + n + 1;
	if(c > m) {
	  m = c;
	  choice = j;
	}
      }
}

void
to_choice_h0_l(void)
{
  register int i, j;
  float p, n, m, c, _choice = choice;

  if(_s_choice_h0)
    for(m = -1, i = 0; i < _s_choice_h0; i++)
      if(!v_status[j = s_choice_h0[i]]) {
	p = w_p[j]; n = w_n[j]; c = (p * n * 1024) + p + n + 1;
	if(c > m) {
	  m = c;
	  choice = j;
	}
      }
  if(choice == _choice)
    for(m = -1, i = 0; i < _s_choice; i++)
      if(!v_status[j = s_choice[i]]) {
	p = w_p[j]; n = w_n[j];	c = (p * n * 1024) + p + n + 1;
	if(c > m) {
	  m = c;
	  choice = j;
	}
      }
}

boolean
built_candidates(s)
     register int s;
{
  int j, _j, k, t = 0, _s = 0;
  float m, f, p, n;
  
  if(_s_choice < s) s = _s_choice;
  while(_s < s) {
    for(m = -1, j = _s; j < _s_choice; j++) {
      k = s_choice[j];
      p = w_p[k];
      n = w_n[k];
      f = p * n * 1024 + p + n + 1;
      if(f > m) {
	m = f;
	t = k;
	_j = j;
      }
    }
    k = s_choice[_s];
    s_choice[_s] = t;
    s_choice[_j] = k;
    ++_s;
  }
  _s_choice = _s;
  return(OK);
}

/* -------------------------------------------------------------- */

boolean 
node_k(void)
{
  register int i, n, _choice, __s, _s = 0;
  int cout = 0;
  
  _s_choice = 0;
  for(i = 0; i < _binary; i++) {
    _choice = binary[i];
    if(!v_status[_choice]) {
      __s = _s_choice;
      if((n = ocl_n[_choice][2] + ocl_p[_choice][2]) < cout) continue;
      else cout = n;
      if(!fix_h0_k(_choice)) return(FAULT);
      if(__s != _s_choice) { _s = 0; continue; }
      if(++_s > breakfix) break;
    }
  }
  if(!_s_choice) {
    for(i = 1; i <= nb_var; i++)
      if(!v_status[i])
	if(!fix_h0_light(i)) return(FAULT);
    built_candidates(leaders);
    ++_scr;
    nb_eval = cum_eval = 0;
    for(i = 0, n = s_choice[i]; i < _s_choice; n = s_choice[++i])
      if(!v_status[n])
	if(!fix_h1_k(n)) return(FAULT);
    normalize();
  }
  choice = 0;
  to_choice();
  while(!choice) {
    if(sat()) return(OK);
     _s_choice = 0;
    for(i = 1; i <= nb_var; i++)
      if(!v_status[i])
	if(!fix_h0_light(i)) return(FAULT);
    built_candidates(leaders);
    ++_scr;
    nb_eval = cum_eval = 0;
    for(i = 0, n = s_choice[i]; i < _s_choice; n = s_choice[++i])
      if(!v_status[n])
	if(!fix_h1_k(n)) return(FAULT);
    normalize();
    to_choice();
  }
  return(OK);
}

boolean 
node_l(void)
{
  register int i, n, p, _choice;
  boolean b = OFF, _b = OFF;

  _s_choice = 0;
  for(i = 1; i <= nb_var; i++)
    if(!v_status[i]) {
      w_p[i] = w_n[i] = 0;
      if(!occ_n_l(i)) {
	v_status[i] = ON;
	s_v[_s_v++] = i;
	v_tf[i] = TRUE;
	satisfy(wcl_p[i]);
      }
      else if(!occ_p_l(i)) {
	v_status[i] = ON;
	s_v[_s_v++] = i;
	v_tf[i] = FALSE;
	satisfy(wcl_n[i]);
      }
      else
	if(((n = n2[i]) > 0) && ((p = p2[i]) > 0) && ((p + n) > 3))
	  if(!fix_h0_l(i))
	    return(FAULT);
    }
  if(_s_choice < filter)
    for(i = 1; i <= nb_var; i++)
      if(!v_status[i])
	if(!w_n[i])
	  if(((n = n2[i]) > 0) && ((p = p2[i]) > 0) && ((p + n) > 2)) {
	    if(!fix_h0_l(i)) return(FAULT);
	    b = ON;
	  }
  if(_s_choice < filter) {
    _s_choice = 0;
    if(prof < 3){
      for(i = 1; i <= nb_var; i++)
	if(!v_status[i]) {
	  if(!fix_h1_l(i))
	    return(FAULT);
	}
    }
    else {
      for(i = 1; i <= nb_var; i++)
	if(p2[i] || n2[i])
	  if(!v_status[i])
	    if(!fix_h1_l(i))
	      return(FAULT);
      if(!_s_choice) {
	_s_choice = 0;
	for(i = 1; i <= nb_var; i++)
	  if(!v_status[i])
	    if(!fix_h1_l(i))
	      return(FAULT);
      }
    }
    if(_s_choice > 0)
      if(!on_h1(c3h1)) 
	return(FAULT);
  }
  else {
    _b = ON;
    if(b) { if(!on_h0(c2h3)) return(FAULT); }
    else if(!on_h0(c1h3)) return(FAULT);
  }
  _choice = choice;
  if(_b) to_choice_h0_l();
  else to_choice_l();
  if(choice == _choice) {
    _s_choice = 0;
    for(i = 1; i <= nb_var; i++)
      if(!v_status[i])
	if(!fix_h1_l(i))
	  return(FAULT);
    to_choice_l();
  }
  return(OK);
}

void built_cl2(void)
{
  int i, n, *t, j;

  ++_v_binary;
  _binary = 0;
  for(i = 1; i <= nb_var; i++) ocl_n[i][2] = ocl_p[i][2] = 0;
  for(i = 0; i < nb_clause; i++) {
    if(c_status[i]) continue;
    if(c_size[i] != 2) continue;
    for(t = ssat[i], j = *t; j != EOC; j = *(++t)) {
      if(v_status[n = absolute(j)]) continue;
      if(j > 0) ++ocl_p[n][2];
      else ++ocl_n[n][2];
      if(v_binary[n] == _v_binary) continue;
      binary[_binary++] = n;
      v_binary[n] = _v_binary;
    }
  }
}

boolean
is_sat_k(void)
{
  register int v, __s_v, __s_c, __s_s;
  boolean b = OFF, _b;

  if(!node_k()) return(UNSAT);
  if(sat()) return(SAT);  
  v = choice;
  ++bchs;
  __s_v = _s_v; 
  __s_c = _s_c; 
  __s_s = _s_s;
  if(o_p[v] > o_n[v]) b = ON;
  if(b) _b = reduce_p(v);
  else _b = reduce_n(v);
  if(_b) {
    ++prof;
    fix(__s_v);
    built_cl2();
    if(sat()) return(SAT);
    if(is_sat_k() == SAT) return(SAT);
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  if(b) _b = reduce_n(v);
  else _b = reduce_p(v);
  if(_b) {
    ++prof;
    fix(__s_v);
    built_cl2();
    if(sat()) return(SAT);
    if(is_sat_k() == SAT) return(SAT);
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  return(UNSAT);
}

byte
is_sat_dk(void)
{
  int v, i, __s_v, __s_c, __s_s;
  char s[100];
  boolean b = OFF, _b;

  if(!node_k()) return(UNSAT);
  if(sat()) return(SAT);
  v = choice;
  ++bchs;
  __s_v = _s_v;
  __s_c = _s_c;
  __s_s = _s_s;
  if(o_p[v] > o_n[v]) b = ON;
  if(b) _b = reduce_p(v);
  else _b = reduce_n(v);
  if(_b) {
    fix(__s_v);
    built_cl2();
    if(++prof == divide) {
      sprintf(s, "%s_%5d.cnf", f_divide, ++_divide);
      for(i = 0; s[i]; i++) if(s[i] == ' ') s[i] = '0';
      to_cnf(s);
    }
    else {
      if(sat()) return(SAT);
      if(is_sat_dk() == SAT) return(SAT);
    }
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  if(b) _b = reduce_n(v);
  else _b = reduce_p(v);
  if(_b) {
    fix(__s_v);   
    built_cl2();
    if(++prof == divide) {
      sprintf(s, "%s_%5d.cnf", f_divide, ++_divide);
      for(i = 0; s[i]; i++) if(s[i] == ' ') s[i] = '0';
      to_cnf(s);
    }
    else {
      if(sat()) return(SAT);
      if(is_sat_dk() == SAT) return(SAT);
    }
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  return(UNDEF);
}

boolean
is_sat_l(void){
  register int v, __s_v, __s_c, __s_s;
  boolean b = OFF, _b;

  if(!node_l()) return(UNSAT);
  if(sat()) return(SAT);
  v = choice;
   ++bchs;
  __s_v = _s_v; 
  __s_c = _s_c; 
  __s_s = _s_s;
  if(o_p[v] > o_n[v]) b = ON;
  if(b) _b = reduce_p(v);
  else _b = reduce_n(v);
  if(_b) {
    ++prof;
    fix(__s_v);
    if(sat()) return(SAT);
    if(is_sat_l() == SAT) return(SAT);
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  if(b) _b = reduce_n(v);
  else _b = reduce_p(v);
  if(_b) {
    ++prof;
    fix(__s_v);
    if(sat()) return(SAT);
    if(is_sat_l() == SAT) return(SAT);
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  return(UNSAT);
}

byte
is_sat_dl(void)
{
  int v, i, __s_v, __s_c, __s_s;
  char s[100];
  boolean b = OFF, _b;

  if(!node_l()) return(UNSAT);
  if(sat()) return(SAT);
  v = choice;
  ++bchs;
  __s_v = _s_v;
  __s_c = _s_c;
  __s_s = _s_s;
  if(o_p[v] > o_n[v]) b = ON;
  if(b) _b = reduce_p(v);
  else _b = reduce_n(v);
  if(_b) {
    fix(__s_v);
    if(++prof == divide) {
      sprintf(s, "%s_%5d.cnf", f_divide, ++_divide);
      for(i = 0; s[i]; i++) if(s[i] == ' ') s[i] = '0';
      to_cnf(s);
    }
    else {
      if(sat()) return(SAT);
      if(is_sat_dl() == SAT) return(SAT);
    }
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  if(b) _b = reduce_n(v);
  else _b = reduce_p(v);
  if(_b) {
    fix(__s_v);   
    if(++prof == divide) {
      sprintf(s, "%s_%5d.cnf", f_divide, ++_divide);
      for(i = 0; s[i]; i++) if(s[i] == ' ') s[i] = '0';
      to_cnf(s);
    }
    else {
      if(sat()) return(SAT);
      if(is_sat_dl() == SAT) return(SAT);
    }
    while(_s_v != __s_v) v_status[s_v[--_s_v]] = OFF;
    while(_s_s != __s_s) c_status[s_s[--_s_s]] = OFF;
    while(_s_c != __s_c) ++c_size[s_c[--_s_c]];
    --prof;
  }
  return(UNDEF);
}
/* ---------------------------------------------------------------- */
