
/* ===================================================================
>	PROGRAMMA PER GENERARE NUMERI CASUALI -- FUNZIONI RAN3 E RAN4
======================================================================
>	ISTRUZIONI PER L'USO -- SCRIVERE:
>
>	long int idum = (-1);     -->INIZIALIZZAZIONE
>
>	main(){
>
>	int dado;
>
>
>	dado=(int) (ran4(&idum)*48);   -->NUMERO CASUALE DADO
>	dado=(int) (ran3(&idum)*48);
==================================================================== */



#define MBIG 1000000000
#define MSEED 161803398
#define MZ 0
#define FAC (1.0/MBIG)

//long int idumvar = (-1);
//long int *idum=&idumvar;
  
double ran3(long *idum)   
{
        static int inext,inextp;
        static long ma[56];
        static int iff=0;
        long mj,mk;
        int i,ii,k;

        if (*idum < 0 || iff == 0) {
                iff=1;
                mj=MSEED-(*idum < 0 ? -*idum : *idum);
                mj %= MBIG;
                ma[55]=mj;
                mk=1;
                for (i=1;i<=54;i++) {
                        ii=(21*i) % 55;
                        ma[ii]=mk;
                        mk=mj-mk;
                        if (mk < MZ) mk += MBIG;
                        mj=ma[ii];
                }
                for (k=1;k<=4;k++)
                        for (i=1;i<=55;i++) {
                                ma[i] -= ma[1+(i+30) % 55];
                                if (ma[i] < MZ) ma[i] += MBIG;
                        }
                inext=0;
                inextp=31;
                *idum=1;
        }
        if (++inext == 56) inext=1;
        if (++inextp == 56) inextp=1;
        mj=ma[inext]-ma[inextp];
        if (mj < MZ) mj += MBIG;
        ma[inext]=mj;
        return mj*FAC;
}
#undef MBIG
#undef MSEED
#undef MZ
#undef FAC


float ran4(long *idum)
{
        void psdes();
        unsigned long irword,itemp,lword;
        static long idums = 0;
#if defined(vax) || defined(_vax_) || defined(__vax__) || defined(VAX)
        static unsigned long jflone = 0x00004080;
        static unsigned long jflmsk = 0xffff007f;
#else
        static unsigned long jflone = 0x3f800000;
        static unsigned long jflmsk = 0x007fffff;
#endif

        if (*idum < 0) {
                idums = -(*idum);
                *idum=1;
        }
        irword=(*idum);
        lword=idums;
        psdes(&lword,&irword);
        itemp=jflone | (jflmsk & irword);
        ++(*idum);
        return (*(float *)&itemp)-1.0;
}
#define NITER 4

void psdes(lword,irword)
unsigned long *irword,*lword;
{
        unsigned long i,ia,ib,iswap,itmph=0,itmpl=0;
        static unsigned long c1[NITER]={
                0xbaa96887L, 0x1e17d32cL, 0x03bcdc3cL, 0x0f33d1b2L};
        static unsigned long c2[NITER]={
                0x4b0f3b58L, 0xe874f0c3L, 0x6955c5a6L, 0x55a7ca46L};

        for (i=0;i<NITER;i++) {
                ia=(iswap=(*irword)) ^ c1[i];
                itmpl = ia & 0xffff;
                itmph = ia >> 16;
                ib=itmpl*itmpl+ ~(itmph*itmph);
                *irword=(*lword) ^ (((ia = (ib >> 16) |
                        ((ib & 0xffff) << 16)) ^ c2[i])+itmpl*itmph);
                *lword=iswap;
        }
}
#undef NITER








